## pound 2.5

=== debian/changelog ===
pound (2.5-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed previous patch from #517359 - incorporated upstream
  * Added ${misc:Depends}
  * Added openssl as a B-D (New functionality to connect to SSL backends)

 -- Martin Meredith <mez@debian.org>  Wed, 10 Mar 2010 21:44:12 +0000

pound (2.4.5-3) unstable; urgency=low

  * Added functionality to init script to allow optional
    arguments (Closes: #449430)

 -- Martin Meredith <mez@debian.org>  Fri, 02 Oct 2009 13:30:36 +0100

pound (2.4.5-2) unstable; urgency=low

  * Fixed small typo in init script (Closes: #537602)

 -- Martin Meredith <mez@debian.org>  Mon, 27 Jul 2009 21:04:07 +0100

pound (2.4.5-1) unstable; urgency=low

  * New upstream release
  * Hijacked Package: New Maintainer (due to MIA)
  * Changed init script to create /var/run/pound
  * Upstream has fixed RewriteLocation Port issues (Closes: #525733)
  * Added patch to fix truncation issues (Closes: #517359)
  * Updated to standards version 3.8.2
  * Updated to debhelper 7
  * Added dpatch as B-D

 -- Martin Meredith <mez@debian.org>  Sun, 05 Jul 2009 16:11:36 +0100

pound (2.4.3-1) unstable; urgency=medium

  [Michael Mende]
  * New upstream release.

 -- Michael Mende <debian@menole.net>  Wed,  4 May 2008 13:11:21 +0200

pound (2.4.2-1) unstable; urgency=medium

  [Michael Mende]
  * New upstream release.
  * Added FAQ and CHANGELOG. (Closes: #472453)
  * debian/watch
    + Fixed regex.

 -- Michael Mende <debian@menole.net>  Tue, 28 Apr 2008 14:33:11 +0200

pound (2.4-2) unstable; urgency=medium

  [Michael Mende]
  * debian/control:
    + Removed libgoogle-perftools-dev from build-dependencies because 
      libgoogle-perftools does not seem to enter testing soon.
  * debian/rules:
    + Syntax error in LDFLAGS on some architectures. (Closes: #469823)
    + CFLAGS on ARM without '-fstack-protector' due to segmentation faults.
    + Added 'noexecstack' to LDFLAGS.

 -- Michael Mende <debian@menole.net>  Wed,  7 Mar 2008 11:20:11 +0100

pound (2.4-1) unstable; urgency=medium

  [Michael Mende]
  * New upstream version (Closes: #432784).
  * Has now support for IPv6 (Closes: #360158).
  * debian/copyright
    + Moved license to GPLv3 (changed in upstream version 2.4d).
  * debian/rules:
    + '[ ! -f Makefile ] || $(MAKE) clean' instead of '-$(MAKE) distclean'
      (Closes: #424308).
    + Remove Makefile after make clean.
    + Added security hardening features.
  * debian/control:
    + Removed Sam Johnston from Maintainer: and Jörg Wendland from Uploaders:
      field (Closes: #465968).
    + Set myself as maintainer.
    + Bumped Standards-Version to 3.7.3.
    + Use debhelper 6 now.
    + Added Homepage field.
    + Added libgoogle-perftools-dev to build-dependencies for amd64, i386, ia64
      and powerpc.
    + Added libpcre3-dev to build-dependencies.
  * debian/dirs:
    + Added /var/run/pound for poundctl control socket.
  * debian/pound.cfg:
    + Added global option 'Control' to enable poundctl usage.
  * Addes watch file debian/watch.

 -- Michael Mende <debian@menole.net>  Wed, 27 Feb 2008 11:31:12 +0100

pound (2.2.7-2) unstable; urgency=high

  * Urgency high: This supersedes 2.2.7-1 which closed #360842. That was a
    grave bug, as it rendered pound unusable, I just had not realized how bad
    it was.
  * Also fix init script: restart did not work (first start, then stop),
    status bailed if daemon not running

 -- Michael Piefel <piefel@debian.org>  Thu, 29 Mar 2007 13:43:55 +0200

pound (2.2.7-1) unstable; urgency=low

  * New upstream version (closes: #407183)
    - also this time the fix that was supposed to be included in the last
      upload is now in the upstream source (closes: #360842)
  * Update syntax of example config file (closes: #356466)
  * Make pound really use the specified CFLAGS (closes: #342080)
  * Update init.d script to be LSB-compliant
  * Bumped Standards-Version to 3.7.2
  * Use debhelper 5 now

 -- Michael Piefel <piefel@debian.org>  Wed, 28 Mar 2007 11:12:25 +0200

pound (2.0-1.1) unstable; urgency=low

  * Non-maintainer upload
  * apply patch fixsegfaults.patch to fix segmentation fault
    in worker (closes: #360842)

 -- Arthur de Jong <adejong@debian.org>  Mon, 25 Sep 2006 12:42:57 +0200

pound (2.0-1) unstable; urgency=low

  * New upstream release
  * New configuration file syntax
  * Listener-specific backends to eliminate need for multiple instances
  * New redirector backend
  * Secondary proarties (error messages, timeouts, etc.) now private to
    listeners.
  * HAport accepts an optional address
  * Added -V flag for version
  * Session tracking on a specific header

 -- Sam Johnston <samj@aos.net.au>  Thu,  2 Feb 2006 05:29:09 +1100

pound (1.9.4-1) unstable; urgency=low

  * New upstream release
  * Added LogFacility config file directive
  * HTTP Request Smuggling fix: first of Content-Length and
    Transfer-Encoding takes precedence

 -- Sam Johnston <samj@aos.net.au>  Fri, 21 Oct 2005 03:14:24 +1000

pound (1.9.3-1) unstable; urgency=low

  * New upstream release. Closes #326941, #331604, #333559, #320220, #263578.

 -- Sam Johnston <samj@aos.net.au>  Sun, 16 Oct 2005 08:02:40 +1000

pound (1.9-1) unstable; urgency=low

  * New upstream version, closes: #310646, #311548, #306649
  * Ack security NMU, the fix is included upstream, closes: #307852
  * Add myself to uploaders with ok from Sam.
  * Clean up debian/:
    - remove rules.old
    - remove bogus comments and commands from rules
    - remove config, debconf is not used
  * debian/init.d:
    - use pid file
    - remove commented lines

 -- Joerg Wendland <joergland@debian.org>  Mon, 11 Jul 2005 09:16:30 +0200

pound (1.8.2-1.1) unstable; urgency=high

  * Non-maintainer upload (tnx djpig).
  * CAN-2005-1391: Fix possible buffer overflow in the add_port
    function which could be triggered by a long Host: header
    from a remote host (Closes: #307852)



=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_CPU   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
	CFLAGS += -D_FORTIFY_SOURCE=2 
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq ($(DEB_HOST_GNU_CPU),arm)
	CFLAGS += -fstack-protector
endif
CFLAGS += -fPIE
LDFLAGS += -Wl,-z,relro,-z,noexecstack -pie

config.status: configure
	dh_testdir
	mv config.sub config.sub.upstream && ln -s /usr/share/misc/config.sub
	mv config.guess config.guess.upstream && ln -s /usr/share/misc/config.guess
	env LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/pound
	rm config.sub && mv config.sub.upstream config.sub
	rm config.guess && mv config.guess.upstream config.guess


build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.h config.status config.log Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pound

	install -m644 -D debian/pound.cfg debian/pound/etc/pound/pound.cfg

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG 
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.apsis.ch/pound/Pound-(\d+\.\d+\.?\d*).tgz

## pound 3.0

=== CMakeLists.txt ===
# tunable variables - regenerate pound.h for it to take effect
set (VERSION "3.0")
set (MAXBUF 8192)
set (MAXHEADERS 128)
set (RESURRECT_CYCLE 60)
set (RESURRECT_TO 15)
set (HASH_FUNCTION HASH_FNV)
set (LOG_FACILITY LOG_DAEMON)
set (H2TABSIZE 4096)
set (H2FRAMESIZE 16384)

# from here on there should be nothing to change
cmake_minimum_required(VERSION 3.0)
project(Pound C)

if (CMAKE_C_COMPILER_ID STREQUAL "Clang" OR CMAKE_C_COMPILER_ID STREQUAL "GCC" OR CMAKE_C_COMPILER_ID STREQUAL "GNU")
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result -Wno-cast-qual -Wno-discarded-qualifiers -D_GNU_SOURCE -O2")
endif()

include_directories(include)

file(GLOB SOURCES "src/*.c")

add_executable(pound ${SOURCES})

set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
set(THREADS_PREFER_PTHREAD_FLAG TRUE)
find_package(Threads REQUIRED)

include(CheckIncludeFiles)
CHECK_INCLUDE_FILES("stdio.h;pthread.h;yaml.h;nanomsg/nn.h;nanomsg/inproc.h;nanomsg/pipeline.h;nanomsg/pair.h;nanomsg/reqrep.h;stdlib.h;unistd.h;fcntl.h;ctype.h;getopt.h;string.h;syslog.h;sys/types.h;sys/socket.h;netdb.h;sys/stat.h;time.h;poll.h;semaphore.h;pwd.h;grp.h;signal.h;setjmp.h;mbedtls/config.h;mbedtls/certs.h;mbedtls/oid.h;mbedtls/asn1.h;mbedtls/x509.h;mbedtls/entropy.h;mbedtls/ctr_drbg.h;mbedtls/ssl.h;mbedtls/error.h" HAVE_MANDATORY_INCLUDES LANGUAGE C)
if(NOT HAVE_MANDATORY_INCLUDES)
message(FATAL_ERROR "Missing mandatory header files!")
endif()

CHECK_INCLUDE_FILES(pcreposix.h HAVE_PCREPOSIX_H)
CHECK_INCLUDE_FILES(pcre/pcreposix.h HAVE_PCRE_PCREPOSIX_H)
CHECK_INCLUDE_FILES(regex.h HAVE_REGEX_H)
CHECK_INCLUDE_FILES(stdarg.h HAVE_STDARG_H)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/include/pound.h.in ${CMAKE_CURRENT_SOURCE_DIR}/include/pound.h)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/MKDIST.in ${CMAKE_CURRENT_SOURCE_DIR}/MKDIST)

target_link_libraries(pound -lyaml)
target_link_libraries(pound -lnanomsg)
target_link_libraries(pound -lpthread)
target_link_libraries(pound Threads::Threads)

FIND_LIBRARY(TCMALLOC tcmalloc )
if(TCMALLOC)
target_link_libraries(pound -ltcmalloc)
endif()

FIND_LIBRARY(MBEDCRYPTO mbedcrypto)
if(MBEDCRYPTO)
target_link_libraries(pound -lmbedcrypto)
endif()

FIND_LIBRARY(MBEDX509 mbedx509)
if(MBEDX509)
target_link_libraries(pound -lmbedx509)
endif()

FIND_LIBRARY(MBEDTLS mbedtls)
if(MBEDTLS)
target_link_libraries(pound -lmbedtls)
endif()

if(NOT MBEDCRYPTO OR NOT MBEDX509 OR NOT MBEDTLS)
message(FATAL_ERROR "Missing mandatory library MbedTLS!")
endif()

if(HAVE_PCREPOSIX_H OR HAVE_PCRE_PCREPOSIX_H)
FIND_LIBRARY(PCRE pcreposix)
if(PCRE)
target_link_libraries(pound -lpcreposix)
else()
message(FATAL_ERROR "pcreposix.h found but libpcreposix is not available!")
endif()
endif()

## pound 2.5-1

=== debian/control ===
Source: pound
Section: net
Priority: extra
Maintainer: Hauke Lampe <lampe@hauke-lampe.de>
Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev (>= 0.9.7), openssl, libpcre3-dev
Standards-Version: 3.7.2

Package: pound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reverse proxy, load balancer and HTTPS front-end for Web servers
 Pound was developed to enable distributing the load among several Web-servers
 and to allow for a convenient SSL wrapper for those Web servers that do not
 offer it natively.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/pound.sgml > pound.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/pound.
	$(MAKE) prefix=$(CURDIR)/debian/pound/usr install

#	install -m644 -D debian/pound.cfg debian/pound/etc/pound/pound.cfg

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pound 2.5-2~dev1

=== debian/changelog ===
pound (2.5-2~dev1) unstable; urgency=low

  * added --sysconfdir to configure call
  * added $PIDFILE to init script

 -- Hauke Lampe <lampe@hauke-lampe.de>  Mon, 15 Nov 2010 00:01:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,12 @@
 	CFLAGS += -O2
 endif
 
+LDFLAGS="-Wl,-z,defs"
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	env LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/pound
 
 
 build: build-stamp

## pound 2.6

=== debian/changelog ===
pound (2.6-6+deb8u3) jessie-security; urgency=high

  * Fix regression in security upload that can cause pound to use 100% CPU.

 -- Carsten Leonhardt <leo@debian.org>  Fri, 01 May 2020 14:26:10 +0200

pound (2.6-6+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2016-10711
    A request smuggling vulnerability was discovered in pound that may allow
    attackers to send a specially crafted http request to a web server or
    reverse proxy while pound may see a different set of requests.
    This facilitates several possible exploitations, such as partial cache
    poisoning, bypassing firewall protection and XSS.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Apr 2020 19:03:02 +0200

pound (2.6-6+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the security team with maintainer approval.
  * Add missing part of anti_beast patch to fix disabling of client
    renegotiation. (Closes: #765649)

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 05 May 2015 13:27:06 +0000

pound (2.6-6) unstable; urgency=low

  * Add options to disable SSLv2 and SSLv3.

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Mon, 20 Oct 2014 00:48:13 +0100

pound (2.6-5) unstable; urgency=low

  * Add MKCALENDAR support (Closes: #742488)
  * Check config file is valid for restart/force-restart (Closes: #747517)
  * Up max http size to 8k (Closes: #691941)

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sun, 19 Oct 2014 22:31:00 +0100

pound (2.6-4) unstable; urgency=low

  * Add HTTP PATCH support
  * Add semaphore wait support (Closes: #737853)

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Mon, 03 Mar 2014 15:22:11 +0000

pound (2.6-3) unstable; urgency=low

  * New maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
  * Update xss_redirect_patch
    - Allow = character in urls (Closes: #723731)
  * Add patch from Joe Gooch <mrwizard@k12system.com> for CRIME vulnerability
    - tls_compression_disable.patch (Closes: #727197)

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sun, 26 Jan 2014 12:40:27 +0000

pound (2.6-2) unstable; urgency=low

  * Update anti_beast patch
     - Actually authored by Joe Gooch <mrwizard@k12system.com>
     - Fix segfault on some systems
  * Added patch to fix XSS redirect vulnerability
    - Patch from Joe Gooch <mrwizard@k12system.com>
  * Switched to dpkg-buildflags (Closes: #654833)
     - Patch from Moritz Muehlenhoff <jmm@debian.org>

 -- Martin Meredith <mez@debian.org>  Fri, 03 Feb 2012 09:40:45 +0000

pound (2.6-1) unstable; urgency=low

  * New upstream release
  * Patch from Michal Jirku <box@wejn.org> to add config
    options that prevent BEAST/renegotiation attacks

 -- Martin Meredith <mez@debian.org>  Mon, 30 Jan 2012 10:21:52 +0000

pound (2.5-1.1) unstable; urgency=low

  * NMU
  * Apply patch to work with new openssl. Thanks to Ilya Barygin
    <barygin@gmail.com> for the patch. Closes: #622041
  * Add simple initial build-arch and build-indep rules as suggested by
    lintian

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 12 Dec 2011 15:29:12 +0000

=== debian/control ===
Source: pound
Section: net
Priority: extra
Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
Build-Depends: debhelper (>= 7), libssl-dev (>= 0.9.7), autotools-dev, libpcre3-dev, openssl
Standards-Version: 3.9.2
Homepage: http://www.apsis.ch/pound/

Package: pound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reverse proxy, load balancer and HTTPS front-end for Web servers
 Pound was developed to enable distributing the load among several Web-servers
 and to allow for a convenient SSL wrapper for those Web servers that do not
 offer it natively.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_CPU   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	mv config.sub config.sub.upstream && ln -s /usr/share/misc/config.sub
	mv config.guess config.guess.upstream && ln -s /usr/share/misc/config.guess
	./configure $(shell dpkg-buildflags --export=configure) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/pound --with-maxbuf=8192
	rm config.sub && mv config.sub.upstream config.sub
	rm config.guess && mv config.guess.upstream config.guess

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.h config.status config.log Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pound

	install -m644 -D debian/pound.cfg debian/pound/etc/pound/pound.cfg

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG 
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pound 2.7

=== debian/changelog ===
pound (2.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build it with libssl1.0-dev for Jessie (Closes: #828511).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 19 Feb 2017 15:13:02 +0100

pound (2.7-1.2) unstable; urgency=medium

  * Include .orig.tar.gz in upload.

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sun, 31 Jul 2016 10:40:17 +0100

pound (2.7-1.1) unstable; urgency=medium

  * Fix failed binary only upload.

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sun, 31 Jul 2016 10:32:40 +0100

pound (2.7-1) unstable; urgency=medium

  * New upstream release

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sat, 30 Jul 2016 20:07:36 +0100

pound (2.6-6.1) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * Non-maintainer upload by the security team with maintainer approval.
  * Add missing part of anti_beast patch to fix disabling of client
    renegotiation. (Closes: #765649)

  [ Brett Parker ]
  * 2.7-1

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 05 May 2015 13:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
-Build-Depends: debhelper (>= 7), libssl-dev (>= 0.9.7), autotools-dev, libpcre3-dev, openssl
+Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (<< 1.1), autotools-dev, libpcre3-dev, openssl
 Standards-Version: 3.9.2
 Homepage: http://www.apsis.ch/pound/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/pound

## pound 2.8

=== debian/changelog ===
pound (2.8-2) unstable; urgency=low

  * Upstream fixed CVE-2016-10711 in version 2.8a (Closes: #888786).
  * Instead of following Rick O'Sullivan's fork, keep changes to a
    minimum.
  * Support for OpenSSL 1.1 from Sergey Poznyakoff (Closes: #859557).
  * Version 2.8 made single line headers the default (Closes: #897042).
  * Update to standards version 4.4.0.
  * Update FAQ about virtual hosting with HTTPS (Closes: #697064).
  * Fix wrong use of fallback SCSV. Thanks to Frank Schmirler.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 11 Jul 2019 00:13:59 +0200

pound (2.8-1+patrodyne20190113) experimental; urgency=medium

  * New maintainer.
  * New upstream version.
  * Reintroduce package after it got removed from testing (Closes: #921076).
  * Add upstream signing key and let uscan check it.
  * Converted some of the packages' history to git on salsa.
  * Follow Rick O'Sullivan's fork at https://github.com/patrodyne/pound
  * Add Gitlab CI tests
  * Raise debhelper compat level to 12
  * Updated to standards version 4.3.0

 -- Carsten Leonhardt <leo@debian.org>  Wed, 13 Feb 2019 14:03:54 +0100

=== debian/control ===
Source: pound
Section: net
Priority: optional
Maintainer: Carsten Leonhardt <leo@debian.org>
Build-Depends: debhelper-compat (= 12), libssl-dev, libpcre3-dev, openssl
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: http://www.apsis.ch/pound/
Vcs-Browser: https://salsa.debian.org/debian/pound
Vcs-Git: https://salsa.debian.org/debian/pound.git

Package: pound
Architecture: any
Depends: lsb-base,
	${shlibs:Depends},
	${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: reverse proxy, load balancer and HTTPS front-end for Web servers
 Pound was developed to enable distributing the load among several Web-servers
 and to allow for a convenient SSL wrapper for those Web servers that do not
 offer it natively.
 .
 Pound can also issue HTTP redirects.

=== debian/rules ===
#!/usr/bin/make -f

# enable bindnow
# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh "$@"

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/pound

# skip the upstream install so "Rules-Requires-Root: no" works. Let
# dh_install and dh_installmanpages handle the installation.
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
# these files aren't scripts, they are example zope startup files
	chmod 644 debian/pound/usr/share/doc/pound/examples/*.py

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%.tgz$%.asc%" http://www.apsis.ch/pound/Pound-(\d+\.\d+\.?\d*).tgz    debian  uupdate

## pound 3.0

=== debian/changelog ===
pound (3.0-2) unstable; urgency=medium

  * Fix FTBS on KFreeBSD
  * Complies with standards version 4.5.1
  * Update package description, http redirects aren't supported since the
    rewrite
  * Add some simple autopkgtests

 -- Carsten Leonhardt <leo@debian.org>  Thu, 10 Dec 2020 11:23:42 +0100

pound (3.0-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * New upstream version
    As pound 3.0 was rewritten from scratch, also most Ubuntu bug reports
    no longer apply (LP: #1189764, LP: #1398007, LP: #1639888)
  * Upstream is out of beta, upload to unstable
  * Add debian/NEWS to inform about new configuration format and file name

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entries 2.5-1.1, 2.4.3-1, 2.4.2-1, 2.4-2.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 05 Nov 2020 01:45:01 +0100

pound (3.0~e-1) experimental; urgency=medium

  * Remove session timeout from default configuration, upstream fixed the
    bug this was a workaround for.
  * Add IPv6 listener to default configuration.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 05 Oct 2020 21:10:50 +0200

pound (3.0~d-2) experimental; urgency=medium

  * Add a session timeout to default configuration to work around a bug in
    the upstream code
  * Change listening port to 8008 in default configuration, which
    hopefully is less used

 -- Carsten Leonhardt <leo@debian.org>  Tue, 29 Sep 2020 22:18:09 +0200

pound (3.0~d-1) experimental; urgency=medium

  * New experimental upstream version.
    Pound was completely rewritten, most bug reports no longer apply
    (Closes: #861089, #490192, #733820, #456667).
  * Update debian/watch file.
  * Adapt much of the packaging to the new version.
  * Complies with standards version 4.5.0
  * Raise debhelper compat level to 13
  * Run as user "_pound"

 -- Carsten Leonhardt <leo@debian.org>  Sun, 07 Jun 2020 23:21:44 +0200

=== debian/control ===
Source: pound
Section: net
Priority: optional
Maintainer: Carsten Leonhardt <leo@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sysuser,
               libmbedtls-dev,
               libnanomsg-dev,
               libpcre3-dev,
               libyaml-dev,
               uthash-dev
# not used yet: tcmalloc
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.apsis.ch/pound.html
Vcs-Browser: https://salsa.debian.org/debian/pound
Vcs-Git: https://salsa.debian.org/debian/pound.git

Package: pound
Architecture: any
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: reverse proxy, load balancer and HTTPS front-end for Web servers
 Pound was developed to enable distributing the load among several Web-servers
 and to allow for a convenient SSL wrapper for those Web servers that do not
 offer it natively.

=== debian/rules ===
#!/usr/bin/make -f

# enable bindnow
# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# switch cmake to verbose
export VERBOSE = "switch cmake to verbose"

%:
	dh "$@" --with sysuser

override_dh_auto_configure:
	cd build && cmake ..

override_dh_auto_build:
	cd build && make

override_dh_installinit:
	dh_installinit --no-enable

=== debian/tests/control ===
# prints version
Test-Command: pound -v
Restrictions: superficial needs-root allow-stderr
Depends: pound

# checks configuration
Test-Command: pound -c
Restrictions: superficial needs-root
Depends: pound

## pound 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # tunable variables - regenerate pound.h for it to take effect
-set (VERSION "3.0")
+set (VERSION "3.0.2")
 set (MAXBUF 8192)
 set (MAXHEADERS 128)
 set (RESURRECT_CYCLE 60)
@@ -33,6 +33,8 @@
 message(FATAL_ERROR "Missing mandatory header files!")
 endif()
 
+CHECK_INCLUDE_FILES(pcre2posix.h HAVE_PCRE2POSIX_H)
+CHECK_INCLUDE_FILES(pcre/pcre2posix.h HAVE_PCRE_PCRE2POSIX_H)
 CHECK_INCLUDE_FILES(pcreposix.h HAVE_PCREPOSIX_H)
 CHECK_INCLUDE_FILES(pcre/pcreposix.h HAVE_PCRE_PCREPOSIX_H)
 CHECK_INCLUDE_FILES(regex.h HAVE_REGEX_H)
@@ -70,6 +72,14 @@
 message(FATAL_ERROR "Missing mandatory library MbedTLS!")
 endif()
 
+if(HAVE_PCRE2POSIX_H OR HAVE_PCRE_PCRE2POSIX_H)
+FIND_LIBRARY(PCRE pcre2-posix)
+if(PCRE)
+target_link_libraries(pound -lpcre2-posix -lpcre2-8)
+else()
+message(FATAL_ERROR "pcre2posix.h found but libpcre2-posix is not available!")
+endif()
+else()
 if(HAVE_PCREPOSIX_H OR HAVE_PCRE_PCREPOSIX_H)
 FIND_LIBRARY(PCRE pcreposix)
 if(PCRE)
@@ -78,3 +88,4 @@
 message(FATAL_ERROR "pcreposix.h found but libpcreposix is not available!")
 endif()
 endif()
+endif()

=== debian/changelog ===
pound (3.0.2-1build1) jammy; urgency=medium

  * No-change rebuild against libmbedcrypto7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:46:20 +0000

pound (3.0.2-1) unstable; urgency=medium

  * New upstream version
  * Link to libpcre2

 -- Carsten Leonhardt <leo@debian.org>  Tue, 30 Nov 2021 12:50:25 +0100

pound (3.0.1-2) unstable; urgency=medium

  * Disable linking to the obsolete libpcre3 (pcreposix) (Closes: #999985)

 -- Carsten Leonhardt <leo@debian.org>  Tue, 23 Nov 2021 13:03:31 +0100

pound (3.0.1-1) unstable; urgency=medium

  * New upstream version
  * Complies with standards version 4.6.0

 -- Carsten Leonhardt <leo@debian.org>  Wed, 01 Sep 2021 01:02:05 +0200

pound (3.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    (Closes: #987285)

 -- Carsten Leonhardt <leo@debian.org>  Tue, 17 Aug 2021 17:38:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pound
 Section: net
 Priority: optional
-Maintainer: Carsten Leonhardt <leo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Carsten Leonhardt <leo@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sysuser,
                libmbedtls-dev,
                libnanomsg-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libyaml-dev,
                uthash-dev
 # not used yet: tcmalloc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.apsis.ch/pound.html
 Vcs-Browser: https://salsa.debian.org/debian/pound

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh "$@" --with sysuser
 
 override_dh_auto_configure:
-	cd build && cmake ..
+	dh_auto_configure --builddirectory=build
 
 override_dh_auto_build:
 	cd build && make

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%.tgz$%.asc%" https://www.apsis.ch/pound.html https://www.apsis.ch/pound/Pound-(\d+\.\d+\.?[0-9a-zA-Z]*).tgz    debian  uupdate

## pound 4.12

=== debian/changelog ===
pound (4.12-7) unstable; urgency=low

  [ Sergey Poznyakoff ]
  * Try to fix flaky autotest #5

 -- Carsten Leonhardt <leo@debian.org>  Tue, 20 Aug 2024 13:51:57 +0200

pound (4.12-6) unstable; urgency=low

  [ Sergey Poznyakoff ]
  * Minor changes to the default pound.cfg

 -- Carsten Leonhardt <leo@debian.org>  Tue, 20 Aug 2024 02:17:32 +0200

pound (4.12-5) unstable; urgency=low

  * Update to upstream commit 6847767b7e2f466df854e262604e7ac367da8d54 /
    Sun Aug 18 13:47:49 2024 +0300
  * Switch back to libpcre2. Upstream implemented a thread-safe way to use
    it.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 20 Aug 2024 01:20:23 +0200

pound (4.12-4) unstable; urgency=low

  * Update to upstream commit e1cbb2edef562c0dffd91fbf86bd3cecdf2cdb21 /
    Mon Aug 12 17:33:37 2024 +0300, with fixes for autotests
  * Switch to libpcre3. According to upstream, libpcre2 is not
    thread-safe.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 13 Aug 2024 00:05:11 +0200

pound (4.12-3) unstable; urgency=low

  * Make failing autotests verbose
  * Fix usage of touch with seconds since epoch

 -- Carsten Leonhardt <leo@debian.org>  Sun, 11 Aug 2024 23:41:01 +0200

pound (4.12-2) unstable; urgency=low

  * Make builds reproducible

 -- Carsten Leonhardt <leo@debian.org>  Sun, 11 Aug 2024 14:50:07 +0200

pound (4.12-1) unstable; urgency=low

  * New upstream version and developer, continuing from the former 2.x
    branch. The rewritten pound 3.0 has been discontinued, most changes to
    the Debian package that happened in the 3.x branch have been reverted.
  * Include patches from upstream up to commit
    b52ccc62a807d64beb6f7b86cfb0c6f75674d8d2.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 04 Aug 2024 19:23:42 +0200

=== debian/control ===
Source: pound
Section: net
Priority: optional
Maintainer: Carsten Leonhardt <leo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sysuser,
               libio-fdpass-perl,
               libio-socket-ssl-perl,
               libnet-ssleay-perl,
               libpcre2-dev,
               libssl-dev,
               openssl,
               texinfo
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/graygnuorg/pound
Vcs-Browser: https://salsa.debian.org/debian/pound
Vcs-Git: https://salsa.debian.org/debian/pound.git

Package: pound
Architecture: any
Depends: sysvinit-utils (>= 3.05-1), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: reverse proxy, load balancer and HTTPS front-end for Web servers
 Pound was developed to enable distributing the load among several Web-servers
 and to allow for a convenient SSL wrapper for those Web servers that do not
 offer it natively.
 .
 Pound can also issue HTTP redirects.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# enable bindnow
# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh "$@" --with sysuser

override_dh_auto_configure:
#	test -d build-aux || mkdir build-aux
	perl md2txt.pl -l 4 README.md > README
# for reproducible builds (pound.info includes the mtime of pound.texi)
	touch --no-dereference --date='@$(SOURCE_DATE_EPOCH)' doc/pound.texi
	dh_auto_configure

override_dh_installinit:
	dh_installinit --no-enable

override_dh_installsystemd:
	dh_installsystemd --no-enable

=== debian/tests/control ===
# print version
Test-Command: pound -V
Restrictions: superficial needs-root allow-stderr
Depends: pound

# check configuration
Test-Command: pound -c
Restrictions: superficial needs-root
Depends: pound

# print version
Test-Command: poundctl -V
Restrictions: superficial needs-root allow-stderr
Depends: pound

# check communication from poundctl to pound
# wait for 10 seconds maximum for pound to start up, then check if poundctl can communicate with pound
Test-Command: service pound start && (a=0 ; until [ "$a" -ge 10 -o -e /run/poundctl.socket ]; do sleep 1; a=$(( a + 1)) ; done) ; poundctl
Restrictions: superficial needs-root allow-stderr
Depends: pound

# run autotests included upstream
Tests: upstream-tests
Depends: @builddeps@
Restrictions: allow-stderr

## pound 4.14

=== debian/changelog ===
pound (4.14-2) unstable; urgency=medium

  [ Sergey Poznyakoff ]
  * Disable tests with fakedns, as they don't work on all architectures

 -- Carsten Leonhardt <leo@debian.org>  Mon, 21 Oct 2024 22:37:49 +0200

pound (4.14-1) unstable; urgency=medium

  * New upstream release
  * Enable dynamic backends by build-depending on libadns1-dev

 -- Carsten Leonhardt <leo@debian.org>  Mon, 21 Oct 2024 12:47:53 +0200

pound (4.13-1) unstable; urgency=low

  * New upstream release
  * Drop all patches, as they were all backports from upstream

 -- Carsten Leonhardt <leo@debian.org>  Sat, 24 Aug 2024 14:02:20 +0200

pound (4.12-8) unstable; urgency=low

  * Update to upstream commit c2af1531b434b304a793fde75b21d4663e51b41c /
    Thu Aug 22 15:45:14 2024 +0300
    This includes a fix for the flaky autotests

 -- Carsten Leonhardt <leo@debian.org>  Thu, 22 Aug 2024 20:34:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,11 @@
 Maintainer: Carsten Leonhardt <leo@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sysuser,
+               libadns1-dev,
                libio-fdpass-perl,
                libio-socket-ssl-perl,
+               libjson-perl,
+               libnet-dns-perl,
                libnet-ssleay-perl,
                libpcre2-dev,
                libssl-dev,

## pound 4.15

=== debian/changelog ===
pound (4.15-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

  [Helmut Grohne]
  * Stop using dh-sysuser. (Closes: #1092954)

 -- Carsten Leonhardt <leo@debian.org>  Tue, 14 Jan 2025 19:54:58 +0100

pound (4.15-1) unstable; urgency=medium

  * New upstream release

 -- Carsten Leonhardt <leo@debian.org>  Sun, 17 Nov 2024 16:59:18 +0100

## pound 4.16

=== debian/changelog ===
pound (4.16-3) unstable; urgency=medium

  * Complies with standards version 4.7.2

 -- Carsten Leonhardt <leo@debian.org>  Thu, 13 Mar 2025 00:12:40 +0100

pound (4.16-2) unstable; urgency=medium

  * Update to upstream commit c320888be33d0c75d7ab9297ae9c7f95a8e6eaca /
    Wed Feb 19 09:11:19 2025 +0200.
    This includes a fix for building with gcc15. (Closes: #1097642)
  * Complies with standards version 4.7.1

 -- Carsten Leonhardt <leo@debian.org>  Wed, 26 Feb 2025 23:48:55 +0100

pound (4.16-1) unstable; urgency=medium

  * New upstream release

 -- Carsten Leonhardt <leo@debian.org>  Tue, 14 Jan 2025 23:48:31 +0100

=== debian/control ===
Source: pound
Section: net
Priority: optional
Maintainer: Carsten Leonhardt <leo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-installsysusers,
 libadns1-dev,
 libio-fdpass-perl,
 libio-socket-ssl-perl,
 libjson-perl,
 libnet-dns-perl,
 libnet-ssleay-perl,
 libpcre2-dev,
 libssl-dev,
 openssl,
 texinfo,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/graygnuorg/pound
Vcs-Browser: https://salsa.debian.org/debian/pound
Vcs-Git: https://salsa.debian.org/debian/pound.git

Package: pound
Architecture: any
Depends:
 sysvinit-utils (>= 3.05-1),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: reverse proxy, load balancer and HTTPS front-end for Web servers
 Pound was developed to enable distributing the load among several Web-servers
 and to allow for a convenient SSL wrapper for those Web servers that do not
 offer it natively.
 .
 Pound can also issue HTTP redirects.

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,14 @@
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh "$@" --with sysuser
+	dh "$@"
 
 override_dh_auto_configure:
 #	test -d build-aux || mkdir build-aux
 	perl md2txt.pl -l 4 README.md > README
 # for reproducible builds (pound.info includes the mtime of pound.texi)
 	touch --no-dereference --date='@$(SOURCE_DATE_EPOCH)' doc/pound.texi
-	dh_auto_configure
+	dh_auto_configure -- --enable-dns-tests
 
 override_dh_installinit:
 	dh_installinit --no-enable

## pound 4.17

=== debian/changelog ===
pound (4.17-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libcrypt-dev (Closes: #1106922)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 10 Aug 2025 09:11:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-installsysusers,
  libadns1-dev,
+ libcrypt-dev,
  libio-fdpass-perl,
  libio-socket-ssl-perl,
  libjson-perl,

=== debian/tests/control ===
# print version
Test-Command: pound -V
Restrictions:
 superficial needs-root allow-stderr,
Depends:
 pound,

# check configuration
Test-Command: pound -c
Restrictions:
 superficial needs-root,
Depends:
 pound,

# print version
Test-Command: poundctl -V
Restrictions:
 superficial needs-root allow-stderr,
Depends:
 pound,

# check communication from poundctl to pound
# wait for 10 seconds maximum for pound to start up, then check if poundctl can communicate with pound
Test-Command: service pound start && (a=0 ; until [ "$a" -ge 10 -o -e /run/poundctl.socket ]; do sleep 1; a=$(( a + 1)) ; done) ; poundctl
Restrictions:
 superficial needs-root allow-stderr,
Depends:
 pound,

# run autotests included upstream
Tests:
 upstream-tests,
Depends:
 @builddeps@,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/graygnuorg/pound/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
